# Wersja, która nie rozróżnia małych / dużych liter
import re

szukane = input('Podaj szukane słowo: ').lower()
pattern = re.compile(r'\w+')

nr = 0
with open('pan_tadeusz.txt', mode='r', encoding='utf-8') as plik:
    for linia in plik:
        for slowo in re.findall(pattern, linia):
            if slowo.lower() == szukane:
                nr += 1

print(f'Szukane słowo {szukane} występuje {nr} razy.')
